Package org.eclipse.m2m.atl.adt.ui.text.atl

## Class AtlInstalledTemplateProposal

- java.lang.Object
- - org.eclipse.jface.text.templates.TemplateProposal
  - - org.eclipse.m2m.atl.adt.ui.text.atl.AtlTemplateProposal
    - - org.eclipse.m2m.atl.adt.ui.text.atl.AtlInstalledTemplateProposal

All Implemented Interfaces:
  `java.lang.Comparable<AtlTemplateProposal>`, `org.eclipse.jface.text.contentassist.ICompletionProposal`, `org.eclipse.jface.text.contentassist.ICompletionProposalExtension`, `org.eclipse.jface.text.contentassist.ICompletionProposalExtension2`, `org.eclipse.jface.text.contentassist.ICompletionProposalExtension3`

    public class AtlInstalledTemplateProposal
    extends AtlTemplateProposal

This class allows us to split an installed template description so that it fits in the completion panel.

### Constructor Summary

Constructors
`AtlInstalledTemplateProposal​(org.eclipse.jface.text.templates.Template template, org.eclipse.jface.text.templates.TemplateContext context, org.eclipse.jface.text.IRegion region, org.eclipse.swt.graphics.Image image, int relevance, java.lang.String information)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDisplayString()`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.AtlTemplateProposal

`compareTo, getAdditionalProposalInfo`

### Methods inherited from class org.eclipse.jface.text.templates.TemplateProposal

`apply, apply, apply, getContext, getContextInformation, getContextInformationPosition, getImage, getInformationControlCreator, getPrefixCompletionStart, getPrefixCompletionText, getRelevance, getReplaceEndOffset, getReplaceOffset, getSelection, getTemplate, getTriggerCharacters, isValidFor, selected, setInformationControlCreator, unselected, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlInstalledTemplateProposal

    public AtlInstalledTemplateProposal​(org.eclipse.jface.text.templates.Template template,
                                        org.eclipse.jface.text.templates.TemplateContext context,
                                        org.eclipse.jface.text.IRegion region,
                                        org.eclipse.swt.graphics.Image image,
                                        int relevance,
                                        java.lang.String information)

### Method Detail

#### getDisplayString

    public java.lang.String getDisplayString()

Specified by:
  `getDisplayString` in interface `org.eclipse.jface.text.contentassist.ICompletionProposal`
Overrides:
  `getDisplayString` in class `org.eclipse.jface.text.templates.TemplateProposal`
See Also:
  `TemplateProposal.getDisplayString()`